## org.apache.mahout.text
Class LuceneIndexHelper

    java.lang.Object
      org.apache.mahout.text.LuceneIndexHelper

    public class LuceneIndexHelper

extends Object

Utility for checking if a field exist in a Lucene index.

Method Summary
`static void` `fieldShouldExistInIndex(org.apache.lucene.search.IndexSearcher searcher, String field)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### fieldShouldExistInIndex

    public static void fieldShouldExistInIndex(org.apache.lucene.search.IndexSearcher searcher,
                                               String field)
                                        throws IOException

  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.